=== modified file 'configure.ac'
--- configure.ac	2010-12-10 19:01:12 +0000
+++ configure.ac	2010-12-10 20:17:14 +0000
@@ -139,7 +139,7 @@
   ])
 
 WITH_VALGRIND
-AS_IF([test "x${ac_gcc_profile_mode}" = "xyes" -a "x{pandora_cv_boost_profile}" = "xyes"],[
+AS_IF([test "x${ac_gcc_profile_mode}" = "xyes" -a "x${pandora_cv_boost_profile}" = "xyes"],[
     AC_DEFINE([_GLIBCXX_PROFILE],[1],[Enable GCC Profile Mode])
     ])
 

=== modified file 'm4/pandora_have_boost.m4'
--- m4/pandora_have_boost.m4	2010-12-10 19:01:12 +0000
+++ m4/pandora_have_boost.m4	2010-12-10 20:17:14 +0000
@@ -72,8 +72,10 @@
         pandora_cv_boost_profile=no
         ])
     ])
+    AS_IF([test "x${pandora_cv_boost_profile}" = "xyes"],[
+      AC_DEFINE([BOOST_DETAIL_NO_CONTAINER_FWD],[1],[Disable forward decl of stl in boost])
+    ])
   ])
-      
 
   AM_CONDITIONAL(HAVE_BOOST, [test "x${ac_cv_boost}" = "xyes"])
   

